%define anolis_release 1

Name:		perl-Devel-CheckBin
Version:	0.04
Release:	%{anolis_release}%{?dist}
Summary:	Check that a command is available
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Devel-CheckBin
Source0:	https://cpan.metacpan.org/authors/id/T/TO/TOKUHIROM/Devel-CheckBin-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
# Module Runtime
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.64
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More) >= 0.98
# Runtime

%description
Devel::CheckBin is a perl module that checks whether a particular command is
available.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Devel-CheckBin-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::CheckBin.3*

%files doc
%doc Changes README.md

%changelog
* Wed Mar 15 2023 happy_orange <songnannan@linux.alibaba.com> - 0.04-1
- init package
